<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/>
    <title>Getting Started Service Web Content</title>
    <meta content="width=device-width, initial-scale=1" name="viewport">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
    <link href="/css/auction-view.css" rel="stylesheet"/>
    <link href="/css/custom-image.css" rel="stylesheet"/>
    <link href="/css/comment-view.css" rel="stylesheet"/>

    <script src="/js/auction.js" type="text/javascript"></script>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://kit.fontawesome.com/a076d05399.js"></script>

</head>
<body>
<div th:replace="nav.html :: body"></div>

<div class="wrapper">
    <div class="leftBoxAuction">
        <div class="auction-art">
            <img class="auctionArt" th:src="@{'http://localhost:8080/downloadFile/' + ${auctionDTO.imageId}}"/>
        </div>
        <div class="titleOfAuction">
            <span th:text="${'Title: ' + auctionDTO.title}"></span>
        </div>
        <div class="artistName">
            <form method="get" th:action="@{'http://localhost:8080/panel/' + ${auctionDTO.ownerName}}">
                <div class="btn-group btn-group-toggle" data-toggle="buttons">
                    <div class="input-group-prepend">
                        <span class="input-group-text" style="padding-right: 70px; font-size: 20px">Artist</span>
                    </div>
                    <button class="btn btn-secondary" style="font-size: 25px" th:text="${auctionDTO.ownerName}"
                            type="submit"></button>
                </div>
            </form>
        </div>
        <div class="description">
            <div class="descriptionText">
                <p th:text="${auctionDTO.description}"></p>
            </div>
        </div>
    </div>
    <div class="rightBoxAuction">
        <div class="timerBox">
            <div class="timer">
                <div class="timerImg">
                    <i class="fas fa-clock"></i>
                </div>
                <p th:hidden="true" th:id="'totalCountOfSeconds'"
                   th:text="${auctionDTO.totalCountOfSeconds}"></p>
                <p id="timer-on-view" style="text-align: center"></p>
            </div>
        </div>
        <div class="yourBid">
            <form action="#" th:action="@{add-new-bid}" th:object="${userBid}" method="post">
                <div class="form-group">
                    <div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <span class="input-group-text" id="basic-addon1">Bid here: </span>
                            </div>
                            <td><input class="form-control" id="UserName" th:field="${userBid.bidValue}" type="text"/>
                            </td>
                            <td th:errors="${userBid}" th:if="${#fields.hasErrors('*')}">valueOfBid error</td>
                            <td><input type="hidden" class="form-control" th:field="${userBid.auctionId}"/></td>
                            <td><input class="form-control" th:field="${userBid.bidOwner}" type="hidden"/></td>
                        </div>
                    </div>
                </div>
            </form>
            Auto Buy
            <span class="badge badge-secondary" style="font-size: 20px" th:text="${auctionDTO.autoBuy}"></span>
            Minimum Bid
            <span class="badge badge-secondary" style="font-size: 20px" th:text="${auctionDTO.minimumBid}"></span>
            Starting Bid
            <span class="badge badge-secondary" style="font-size: 20px" th:text="${auctionDTO.startingBid}"></span>
        </div>
        <div class="bidListBox">
            <div th:each="oneDoneBid : ${auctionDTO.userBids}" class="bidList">
                <div class="singleBid">
                    <div class="singleBidContent">
                        <div class="bidNickName" th:text="${oneDoneBid.bidOwner}">

                        </div>
                        <div class="bidPrice" th:text="${oneDoneBid.bidValue} + ' $'">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function () {
        let totalCountOfSeconds = document.getElementById("totalCountOfSeconds").textContent;
        debtTimer(totalCountOfSeconds, "timer-on-view")
    });
</script>
</body>
</html>